CompactSlf4jJdbcEventLogger (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.log, class: CompactSlf4jJdbcEventLogger

# Class CompactSlf4jJdbcEventLogger

java.lang.Object
org.apache.cayenne.log.Slf4jJdbcEventLogger
org.apache.cayenne.log.CompactSlf4jJdbcEventLogger

All Implemented Interfaces:
  `JdbcEventLogger`

public class CompactSlf4jJdbcEventLogger extends Slf4jJdbcEventLogger

Since:
  4.1

- ## Field Summary

  ### Fields inherited from class Slf4jJdbcEventLogger

  `queryExecutionTimeLoggingThreshold`
  Modifier and Type
  Field
  Description
  `protected long`
  `queryExecutionTimeLoggingThreshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompactSlf4jJdbcEventLogger(RuntimeProperties runtimeProperties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `appendParameters(StringBuilder buffer, String label, ParameterBinding[] bindings)`
  `void`
  `logBeginTransaction(String transactionLabel)`
  `void`
  `logCommitTransaction(String transactionLabel)`
  `void`
  `logQuery(String sql, ParameterBinding[] bindings)`
  `protected String`
  `processUnionSql(String sql)`
  `protected String`
  `trimSqlSelectColumns(String sql)`

  ### Methods inherited from class Slf4jJdbcEventLogger

  `isLoggable, log, logGeneratedKey, logQueryError, logQueryParameters, logRollbackTransaction, logSelectCount, logSelectCount, logUpdateCount`
  Modifier and Type
  Method
  Description
  `boolean`
  `isLoggable()`
  Returns true if current thread default log level is high enough to generate output.
  `void`
  `log(String message)`
  Logs an arbitrary message.
  `void`
  `logGeneratedKey(DbAttribute attribute, Object value)`
  `void`
  `logQueryError(Throwable th)`
  `void`
  `logQueryParameters(String label, ParameterBinding[] bindings)`
  `void`
  `logRollbackTransaction(String transactionLabel)`
  `void`
  `logSelectCount(int count, long time)`
  `void`
  `logSelectCount(int count, long time, String sql)`
  `void`
  `logUpdateCount(int count)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompactSlf4jJdbcEventLogger

    public CompactSlf4jJdbcEventLogger(RuntimeProperties runtimeProperties)

- ## Method Details

  - ### logQuery

    public void logQuery(String sql, ParameterBinding[] bindings)
    Specified by:
      `logQuery` in interface `JdbcEventLogger`
    Overrides:
      `logQuery` in class `Slf4jJdbcEventLogger`

  - ### processUnionSql

    protected String processUnionSql(String sql)

  - ### trimSqlSelectColumns

    protected String trimSqlSelectColumns(String sql)

  - ### appendParameters

    protected void appendParameters(StringBuilder buffer, String label, ParameterBinding[] bindings)
    Overrides:
      `appendParameters` in class `Slf4jJdbcEventLogger`

  - ### logBeginTransaction

    public void logBeginTransaction(String transactionLabel)
    Specified by:
      `logBeginTransaction` in interface `JdbcEventLogger`
    Overrides:
      `logBeginTransaction` in class `Slf4jJdbcEventLogger`

  - ### logCommitTransaction

    public void logCommitTransaction(String transactionLabel)
    Specified by:
      `logCommitTransaction` in interface `JdbcEventLogger`
    Overrides:
      `logCommitTransaction` in class `Slf4jJdbcEventLogger`